<bugID>414183<Summary>Style site button and search button to mirror the keyhole form on Windows</Summary><Description>Created attachment 299523
Proposed changes to the site button and search button

The new theme for windows was designed to mirror curves found in the keyhole form of the navigation controls throughout the navigation toolbar.  This helps the keyhole form feel like it fits into the design as a whole, and creates a sleeker and more aerodynamic appearance throughout the browser.

Proto is already updated with this change, and since the keyhole shaped navigation controls are about to land for Windows, we need to update the site button and search button as part of the visual refresh.

Since this bug touches the site button, we are also wrapping in visual changes for the EV state.

Dao: beltzner said on IRC that you might potentially have cycles to work on this.</Description></bugID>